
// AutoDetectTestDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CAutoDetectTestDlg dialog
class CAutoDetectTestDlg : public CDialog
{
// Construction
public:
	CAutoDetectTestDlg(CWnd* pParent = NULL);	// standard constructor

// Implementation
protected:
	enum { IDD = IDD_AUTODETECTTEST_DIALOG };
	HICON m_hIcon;
	CComboBox m_List;
	CStatic m_Info;
	CButton m_Start;
	CButton m_Stop;
	// local info
	CString m_strInfo;
	CComPtr<ISLGPIMgr> m_pIMgr;
	CComPtr<ISLInputGPI> m_pGPI;
	CComPtr<ISLInputGPITime > m_pGPITime;
	long m_nCntUp;

public:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedStart();
	afx_msg void OnBnClickedStop();
	afx_msg void OnTimer(UINT_PTR nIDEvent);

private:
	bool InitAll();
	bool StartGPICheck();
	void StopGPICheck();
	bool CheckGPI();
};
